Create a scheduled run
curl --request POST \
--url https://api.retriever.run/v1/scheduled-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"title": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>"
}
'import requests
url = "https://api.retriever.run/v1/scheduled-runs"
payload = {
"workspace_id": "<string>",
"title": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '<string>',
title: '<string>',
prompt: '<string>',
cadence: {frequency: 'daily', time: '<string>'},
timezone: '<string>'
})
};
fetch('https://api.retriever.run/v1/scheduled-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.retriever.run/v1/scheduled-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => '<string>',
'title' => '<string>',
'prompt' => '<string>',
'cadence' => [
'frequency' => 'daily',
'time' => '<string>'
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.retriever.run/v1/scheduled-runs"
payload := strings.NewReader("{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.retriever.run/v1/scheduled-runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.retriever.run/v1/scheduled-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"summary": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>",
"status": "draft",
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"runs": "<string>",
"tables": "<string>",
"app": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "prompt: prompt must not be blank",
"details": [
{
"path": "prompt",
"message": "prompt must not be blank"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "scheduled_run_not_found",
"message": "Scheduled run not found."
}
}{
"error": {
"code": "body_too_large",
"message": "The request body exceeds the 10 MiB limit (10485760 bytes)."
}
}{
"error": {
"code": "invalid_request",
"message": "Content-Type must be application/json."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry in 12 s."
}
}Scheduled runs
Create a scheduled run
Creates a draft. It does not run until POST /v1/scheduled-runs/{id}/activate.
POST
/
v1
/
scheduled-runs
Create a scheduled run
curl --request POST \
--url https://api.retriever.run/v1/scheduled-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"title": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>"
}
'import requests
url = "https://api.retriever.run/v1/scheduled-runs"
payload = {
"workspace_id": "<string>",
"title": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '<string>',
title: '<string>',
prompt: '<string>',
cadence: {frequency: 'daily', time: '<string>'},
timezone: '<string>'
})
};
fetch('https://api.retriever.run/v1/scheduled-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.retriever.run/v1/scheduled-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => '<string>',
'title' => '<string>',
'prompt' => '<string>',
'cadence' => [
'frequency' => 'daily',
'time' => '<string>'
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.retriever.run/v1/scheduled-runs"
payload := strings.NewReader("{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.retriever.run/v1/scheduled-runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.retriever.run/v1/scheduled-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cadence\": {\n \"frequency\": \"daily\",\n \"time\": \"<string>\"\n },\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"summary": "<string>",
"prompt": "<string>",
"cadence": {
"frequency": "daily",
"time": "<string>"
},
"timezone": "<string>",
"status": "draft",
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"runs": "<string>",
"tables": "<string>",
"app": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "prompt: prompt must not be blank",
"details": [
{
"path": "prompt",
"message": "prompt must not be blank"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "scheduled_run_not_found",
"message": "Scheduled run not found."
}
}{
"error": {
"code": "body_too_large",
"message": "The request body exceeds the 10 MiB limit (10485760 bytes)."
}
}{
"error": {
"code": "invalid_request",
"message": "Content-Type must be application/json."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry in 12 s."
}
}Body
application/json
Response
The draft.